'use strict';

/**
 *
 *
 * @author Zhong
 * @date 2019/3/5
 * @version
 */
//建设工程信息指标库
const mongoose = require('mongoose');
const Schema = mongoose.Schema;
const oprSchema = require('../all_schemas/opr_schema');
const engineerInfoLib = new Schema({
    ID: {type: String, index: true},
    name: String,
    creator: String,
    createDate: Number,
    recentOpr: [oprSchema],
    info: {
        type: Schema.Types.Mixed,
        default: []
    }
}, {versionKey: false});
mongoose.model('std_engineer_info_lib', engineerInfoLib, 'std_engineer_info_lib');